import os


ENV_FILE_KEY = os.getenv("CONFIG_FILE")
PARAMETER_JSON = 'parameter.json'
PARAMETER_KEY = 'PARAMETER_JSON'
ITER_ID = 'ITER_ID'
ITER_ENDPOINT = 'iteration'
MOUNT_FILE_PATH = 'MOUNT_FILE_PATH'
OUTPUT_FILE_PATH = 'OUTPUT_FILE_PATH'
SIGNING_PEM_FILE_PATH = "SIGNING_PEM_FILE_PATH"
SIGNING_PEM_FILE_TMP_PATH = 'SIGNING_PEM_FILE_TMP_PATH'



ITER_OUTPUT_S3_BUCKET = 'ITER_OUTPUT_S3_BUCKET'
ITER_WF_OUTPUT_S3_BUCKET = 'ITER_WF_OUTPUT_S3_BUCKET'
USER_INPUT_S3_BUCKET = 'USER_INPUT_S3_BUCKET'
USER_WF_INPUT_S3_BUCKET = 'USER_WF_INPUT_S3_BUCKET'


ITER_OUTPUT_CF_URL = 'ITER_OUTPUT_CF_URL'
ITER_WF_OUTPUT_CF_URL = 'ITER_WF_OUTPUT_CF_URL'
USER_INPUT_CF_URL = 'USER_INPUT_CF_URL'
USER_WF_INPUT_CF_URL = 'USER_WF_INPUT_CF_URL'


#iteration table column_name
RUN = 'run'
WORKFLOW_REQUEST = 'workflow_request'


ITR_TYPE_WF = 'workflow'
ITR_TYPE_CMP = 'component'

#error messages
INVALID_ENV = "Invalid environment type"
INVALID_ITER_TYPE = 'Invalid iteration type'